gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.ScrollInfo

Contents

- Exported types
- Methods
  - getEnableHorizontal
  - getEnableVertical
  - new
  - ref
  - setEnableHorizontal
  - setEnableVertical
  - unref

Description

Provides detailed information on how a scroll operation should be performed.

Scrolling functions usually allow passing a `NULL` scroll info which will cause the default values to be used and just scroll the element into view.

Since: 4.12

Synopsis

- newtype ScrollInfo = ScrollInfo (ManagedPtr ScrollInfo)
- scrollInfoGetEnableHorizontal :: (HasCallStack, MonadIO m) => ScrollInfo -> m Bool
- scrollInfoGetEnableVertical :: (HasCallStack, MonadIO m) => ScrollInfo -> m Bool
- scrollInfoNew :: (HasCallStack, MonadIO m) => m ScrollInfo
- scrollInfoRef :: (HasCallStack, MonadIO m) => ScrollInfo -> m ScrollInfo
- scrollInfoSetEnableHorizontal :: (HasCallStack, MonadIO m) => ScrollInfo -> Bool -> m ()
- scrollInfoSetEnableVertical :: (HasCallStack, MonadIO m) => ScrollInfo -> Bool -> m ()
- scrollInfoUnref :: (HasCallStack, MonadIO m) => ScrollInfo -> m ()

# Exported types

newtype ScrollInfo Source #

Memory-managed wrapper type.

Constructors

ScrollInfo (ManagedPtr ScrollInfo) |

#### Instances

Instances details

Eq ScrollInfo Source # |
Instance details Defined in GI.Gtk.Structs.ScrollInfo Methods (==) :: ScrollInfo -> ScrollInfo -> Bool Source # (/=) :: ScrollInfo -> ScrollInfo -> Bool Source #
GBoxed ScrollInfo Source # |
Instance details Defined in GI.Gtk.Structs.ScrollInfo
ManagedPtrNewtype ScrollInfo Source # |
Instance details Defined in GI.Gtk.Structs.ScrollInfo Methods toManagedPtr :: ScrollInfo -> ManagedPtr ScrollInfo Source #
TypedObject ScrollInfo Source # |
Instance details Defined in GI.Gtk.Structs.ScrollInfo Methods glibType :: IO GType Source #
HasParentTypes ScrollInfo Source # |
Instance details Defined in GI.Gtk.Structs.ScrollInfo
IsGValue (Maybe ScrollInfo) Source # | Convert `ScrollInfo` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Structs.ScrollInfo Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ScrollInfo -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ScrollInfo) Source #
type ParentTypes ScrollInfo Source # |
Instance details Defined in GI.Gtk.Structs.ScrollInfo type ParentTypes ScrollInfo = '[] :: [Type]

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, unref.

#### Getters

getEnableHorizontal, getEnableVertical.

#### Setters

setEnableHorizontal, setEnableVertical.

## getEnableHorizontal

scrollInfoGetEnableHorizontal Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ScrollInfo | `self`: a `GtkScrollInfo`
-> m Bool | Returns: `True` if horizontal scrolling is enabled.

Checks if horizontal scrolling is enabled.

Since: 4.12

## getEnableVertical

scrollInfoGetEnableVertical Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ScrollInfo | `self`: a `GtkScrollInfo`
-> m Bool | Returns: `True` if vertical scrolling is enabled.

Checks if vertical scrolling is enabled.

Since: 4.12

## new

scrollInfoNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m ScrollInfo | Returns: A new scroll info

Creates a new scroll info for scrolling an element into view.

Since: 4.12

## ref

scrollInfoRef Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ScrollInfo | `self`: a `GtkScrollInfo`
-> m ScrollInfo | Returns: the passed in `GtkScrollInfo`.

Increases the reference count of a `GtkScrollInfo` by one.

Since: 4.12

## setEnableHorizontal

scrollInfoSetEnableHorizontal Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ScrollInfo | `self`: a `GtkScrollInfo`
-> Bool | `horizontal`: if scrolling in the horizontal direction should happen
-> m () |

Turns horizontal scrolling on or off.

Since: 4.12

## setEnableVertical

scrollInfoSetEnableVertical Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ScrollInfo | `self`: a `GtkScrollInfo`
-> Bool | `vertical`: if scrolling in the vertical direction should happen
-> m () |

Turns vertical scrolling on or off.

Since: 4.12

## unref

scrollInfoUnref Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> ScrollInfo | `self`: a `GtkScrollInfo`
-> m () |

Decreases the reference count of a `GtkScrollInfo` by one.

If the resulting reference count is zero, frees the self.

Since: 4.12